Name:           gobby
Version:        0.4.10
Release:        5%{?dist}
Summary:        Free collaborative editor

Group:          Applications/Internet
License:        GPLv2+
URL:            http://gobby.0x539.de
Source0:        http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml++-devel, gtksourceview2-devel, gtkmm24-devel, obby-devel
BuildRequires:  desktop-file-utils, libXau-devel, libXdmcp-devel
BuildRequires:  gnome-vfs2-devel, gettext-devel
BuildRequires:  avahi-devel, avahi-glib-devel
BuildRequires:  intltool

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network. It
supports multiple documents in one session and a multi-user chat. The platforms
on which you could use Gobby are so far Microsoft Windows, Linux, Mac OS X and
other Unix-like ones. Developed with the Gtk+ toolkit it integrates nicely into
the GNOME desktop environment if you want it to.


%prep
%setup -q


%build
%configure --with-gnome
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gobby.desktop

%find_lang %{name}


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_bindir}/gobby
%{_datadir}/applications/fedora-gobby.desktop
%{_datadir}/icons/hicolor/48x48/apps/gobby.png
%{_datadir}/icons/hicolor/scalable/apps/gobby.svg
%{_datadir}/icons/HighContrastLargePrintInverse/48x48/apps/gobby.png
%{_datadir}/icons/HighContrastLargePrintInverse/scalable/apps/gobby.svg
%{_datadir}/pixmaps/gobby/
%{_mandir}/man1/*


%changelog
* Thu Jan 14 2010 Luke Macken <lmacken@redhat.com> - 0.4.10-5
- Update the gtk icon cache.  Patch from Colin Walters (#555565)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Luke Macken <lmacken@redhat.com> - 0.4.10-2
- Add intltool to the build requirements

* Sun Jan 25 2009 Luke Macken <lmacken@redhat.com> - 0.4.10-1
- Update to 0.4.10

* Fri Nov 21 2008 Luke Macken <lmacken@redhat.com> - 0.4.7-2
- Change license tag to GPLv2+ (#461663)

* Thu Sep 11 2008 Luke Macken <lmacken@redhat.com> - 0.4.7-1
- Update to the latest upstream release.
- Remove the gcc4.3 patch

* Sat Jul 26 2008 Luke Macken <lmacken@redhat.com> - 0.4.6-1
- Update to the latest upstream release.

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.4.5-4
- rebuild with new gnutls

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.4.5-3
- Add a patch to fix gcc4.3 compilation errors

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.4.5-2
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 0.4.5-1
- 0.4.5
- Update license tag to GPLv2

* Sat Jun 16 2007 Luke Macken <lmacken@redhat.com> - 0.4.4-1
- 0.4.4

* Wed Apr 25 2007 Luke Macken <lmacken@redhat.com> - 0.4.3-1
- 0.4.3

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-3
- Add avahi-compat-howl-devel to BuildRequires

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-2
- Rebuild for new obby with Zeroconf support (#232961)

* Wed Mar  7 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-1
- 0.4.2
- Remove gobby-0.4.1-filepath.patch

* Mon Jan  8 2007 Luke Macken <lmacken@redhat.com> - 0.4.1-2
- Add gobby-0.4.1-filepath.patch to fix pathname corruption (Bug #219002)

* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- 0.4.1

* Mon Aug 21 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-10.rc4
- Remove gobby-0.4.0rc4-localedir.patch
- Add gettext-devel to BuildRequires

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-9.rc4
- gobby-0.4.0rc4-localedir.patch

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-8.rc4
- 0.4.0rc4

* Wed Aug  9 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-7.rc3
- 0.4.0rc3

* Wed Jul 12 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-6.rc2
- Rebuild

* Tue Jun 27 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-5.rc2
- Rebuild

* Sun Jun 18 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-4.rc2
- Rebuild against new gnutls

* Thu Jun 08 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-3.rc2
- 0.4.0rc2
- Add manpage

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-2.rc1
- Add gnome-vfs2-devel to BuildRequires

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-1.rc1
- 0.4.0rc1
- gobby-0.4.0rc1-nodoclist.patch

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-4
- Rebuild for Fedora Extras 5

* Sat Dec 24 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-3
- Add libXdmcp-devel to BuildRequires

* Sat Dec 24 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Add libXau-devel to BuildRequires

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc3
- Bump to 0.3.0rc3

* Wed Oct 12 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-6
- Update Summary

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-5
- Use desktop-file-install to install the desktop file

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-4
- Add desktop-file-utils to Requires(post/postun) and remove howl-devel BR

* Fri Oct 07 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-3
- Build with gnome support
- Remove unnecessary BuildRequires

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-2
- Use find_lang macro

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-1
- Packaged for Fedora Extras
